> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Customer

> Updates the specific customer by setting the values of the parameters provided. Only provided parameters will be changed.



## OpenAPI

````yaml openapi.json put /customers/{id}
openapi: 3.1.0
info:
  title: Sudo Sandbox API
  version: '1.0'
servers:
  - url: https://api.sandbox.sudo.cards
security:
  - sec0: []
paths:
  /customers/{id}:
    put:
      summary: Update Customer
      description: >-
        Updates the specific customer by setting the values of the parameters
        provided. Only provided parameters will be changed.
      operationId: update-customer
      parameters:
        - name: id
          in: path
          description: The `_id` of the customer you wish to update.
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - name
                - status
              properties:
                type:
                  type: string
                  description: This is the customer type.
                  default: individual
                  enum:
                    - individual
                    - company
                name:
                  type: string
                  description: The customer's full name.
                phoneNumber:
                  type: string
                  description: Customer's mobile phone number in international format.
                emailAddress:
                  type: string
                  description: Customer's email address.
                individual:
                  type: object
                  description: >-
                    Individual details. Required if customer type is
                    `individual`.
                  required:
                    - firstName
                    - lastName
                    - dob
                  properties:
                    firstName:
                      type: string
                      description: Customer's first name.
                    lastName:
                      type: string
                      description: Customer's last name.
                    otherNames:
                      type: string
                      description: Customer's other names.
                    dob:
                      type: string
                      description: Customer's date of birth in the format `YYYY/MM/DD`.
                    identity:
                      type: object
                      description: Customer's identity data.
                      required:
                        - type
                        - number
                      properties:
                        type:
                          type: string
                          description: Identity type.
                          enum:
                            - BVN
                            - NIN
                            - CAC
                            - TIN
                        number:
                          type: string
                          description: Identity number issued by the regulator.
                    documents:
                      type: object
                      description: Customer's KYC documents.
                      properties:
                        idFrontUrl:
                          type: string
                          description: ID Card front page url.
                        idBackUrl:
                          type: string
                          description: ID Card back page url.
                        incorporationCertificateUrl:
                          type: string
                          description: Company incorporation certificate url.
                        addressVerificationUrl:
                          type: string
                          description: Customer address verification document url.
                company:
                  type: object
                  description: Company details. Required if customer type is `company`.
                  required:
                    - name
                  properties:
                    name:
                      type: string
                      description: Company name.
                    identity:
                      type: object
                      description: Company identity details.
                      required:
                        - type
                        - number
                      properties:
                        type:
                          type: string
                          description: Identity type.
                          enum:
                            - BVN
                            - NIN
                            - CAC
                            - TIN
                        number:
                          type: string
                          description: Identity number issued by the regulator.
                    officer:
                      type: object
                      description: Company officer information.
                      required:
                        - firstName
                        - lastName
                        - dob
                      properties:
                        firstName:
                          type: string
                          description: Customer's first name.
                        lastName:
                          type: string
                          description: Customer's last name.
                        otherNames:
                          type: string
                          description: Customer's other names.
                        dob:
                          type: string
                          description: Customer's date of birth in the format `YYYY/MM/DD`.
                        identity:
                          type: object
                          description: Customer's identity data.
                          required:
                            - type
                            - number
                          properties:
                            type:
                              type: string
                              description: Identity type.
                              enum:
                                - BVN
                                - NIN
                                - CAC
                                - TIN
                            number:
                              type: string
                              description: Identity number issued by the regulator.
                        documents:
                          type: object
                          description: Customer's KYC documents.
                          properties:
                            idFrontUrl:
                              type: string
                              description: ID Card front page url.
                            idBackUrl:
                              type: string
                              description: ID Card back page url.
                            incorporationCertificateUrl:
                              type: string
                              description: Company incorporation certificate url.
                            addressVerificationUrl:
                              type: string
                              description: Customer address verification document url.
                    documents:
                      type: object
                      description: Customer's KYC documents.
                      properties:
                        idFrontUrl:
                          type: string
                          description: ID Card front page url.
                        idBackUrl:
                          type: string
                          description: ID Card back page url.
                        incorporationCertificateUrl:
                          type: string
                          description: Company incorporation certificate url.
                        addressVerificationUrl:
                          type: string
                          description: Customer address verification document url.
                status:
                  type: string
                  description: This is the status of the customer.
                  default: active
                  enum:
                    - active
                    - inactive
                metadata:
                  type: string
                  description: >-
                    The customer metadata object in `key-value` pair. This can
                    be useful for storing additional information about the
                    customer in a structured format
                  format: json
                billingAddress:
                  type: object
                  description: This is the billing address of the customer.
                  required:
                    - line1
                    - city
                    - state
                    - postalCode
                    - country
                  properties:
                    line1:
                      type: string
                      description: Street address line 1
                    line2:
                      type: string
                      description: Street Address line 2
                    city:
                      type: string
                      description: City
                    state:
                      type: string
                      description: State
                    postalCode:
                      type: string
                    country:
                      type: string
                      description: Billing country
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      x-default: '{{APIKey}}'

````